using System;
class Program
{ 
    static void Main()
    {
        int n = int.Parse(Console.ReadLine());
        string[] s = Console.ReadLine().Split();
        int[] a = new int[n];
        for (int i = 0; i < n; i++)
            a[i] = int.Parse(s[i]);
        int k = int.Parse(Console.ReadLine());
        for (int i = 0; i < k; i++)
        {
            s = Console.ReadLine().Split();
            Console.WriteLine(DaLiJeSortiran(a, int.Parse(s[0])-1, int.Parse(s[1])));
        }
    }
    static string DaLiJeSortiran(int[] a, int p, int k)
    {
        for (int l = p,d = p+1,br=0; d < k;)
        {
            if (a[l] <= a[d]) l = d++;
            else
            {
                br++;
                if (++d < k && a[l] > a[d])
                {
                    if (br > 1)
                        return "NE";
                    d = (l++) + 1;
                }
            }
        }
        return "DA";
    }
}